Loading...
Searching...
No Matches
NumberUpdateEvent Class Reference

`#include <gnuradio/qtgui/spectrumUpdateEvents.h>`

## Public Member Functions

| NumberUpdateEvent (const std::vector< float > samples)
| ~NumberUpdateEvent () override
int | which () const
const std::vector< float > | getSamples () const

## Static Public Member Functions

static QEvent::Type | Type ()

## Constructor & Destructor Documentation

## NumberUpdateEvent()

NumberUpdateEvent::NumberUpdateEvent | ( | const std::vector< float > | samples | ) |

## ~NumberUpdateEvent()

NumberUpdateEvent::~NumberUpdateEvent | ( |  | ) |

override

## Member Function Documentation

## getSamples()

const std::vector< float > NumberUpdateEvent::getSamples | ( |  | ) | const

## Type()

QEvent::Type NumberUpdateEvent::Type | ( |  | ) |

inline static

References SpectrumUpdateEventType.

## which()

int NumberUpdateEvent::which | ( |  | ) | const

The documentation for this class was generated from the following file:

- spectrumUpdateEvents.h